/*
 * Description:KPO支援用CSS
 * Note: 命名はパーツごとに完全ユニーク設定
 */


/* 初期状態：メインビジュアルが見えている間は非表示 */
.component-datsutanso-nav__wrapper.mv-none {
  opacity: 0;
  visibility: hidden;
  pointer-events: none; /* クリック無効化 */
  transition: opacity 0.4s ease, visibility 0.4s ease;
}

/* 表示状態：メインビジュアルが消えたら付与されるクラス */
.component-datsutanso-nav__wrapper.mv-none.is-visible {
  opacity: 1;
  visibility: visible;
  pointer-events: auto; /* クリック有効化 */
}

/*260126追記（関西電力/施策ID5-1：【太陽光、おまかSave-Air®】資料請求フォーム > 資料概要変更）*/
.mt30 {
  margin-top: 30px;
}
.mt20 {
  margin-top: 15px;
}
.minimum-content .component-resource__heading {
  font-size: 3rem;
}
.minimum-content .component-resource__images img {
  width: 355px !important;
  height: auto !important;
  margin: 0 auto;
}
/*//260126追記（関西電力/施策ID5-1：【太陽光、おまかSave-Air®】資料請求フォーム > 資料概要変更）*/


.component-aircontrol-header.component-aircontrol-header-short {
  height: 51rem;
}
@media screen and (max-width: 1367px) {
  .component-aircontrol-header.component-aircontrol-header-short {
    height: calc(100vh - 80px - 120px);
  }
}
@media screen and (max-width: 768px) {
  .component-aircontrol-header.component-aircontrol-header-short {
    height: auto;
  }
}
.component-aircontrol-header-short.component-mv-header--mvnav
  .component-aircontrol-header__content {
  top: 48%;
}
@media screen and (min-width: 769px) {
  .component-aircontrol-header-short .component-aircontrol-header__heading {
    font-size: calc(6.2 * var(--vwfull));
  }
  .component-aircontrol-header-short
    .component-aircontrol-header__heading.adjustment
    .adjustment_inner {
    font-size: calc(4.9 * var(--vwfull));
  }
}
.component-datsutanso__note__mv-under {
  padding-right: 13rem !important;
  margin-top: 2rem !important;
}
.case-logo-carousel__mv-under {
  margin-top: 0 !important;
}
.component-cppa-header__bubble-typea {
  right: calc(-12 * var(--vwfull));
}

@media screen and (min-width: 768px) {
  .component-button-col2 {
    position: absolute;
    bottom: -7rem;
    left: 50%;
    display: flex;
    gap: 10px;
    transform: translate(-50%);
  }
}

@media screen and (max-width: 768px) {
  .component-cppa-header__bubble-typea {
    right: 1%;
    top: 15%;
  }
}
@media screen and (max-width: 768px) {
  .component-datsutanso__note__mv-under {
    padding-right: 0 !important;
  }
}

.triangle-position-adjustment:before {
  left: 40%;
}
.component-aircontrol-merit
  .component-aircontrol-merit-list__heading.align-center {
  min-height: 90px;
  display: flex;
  align-items: center;
}

.component-aircontrol-header-short .anpis-mv-adjustment {
  height: calc(34.1 * var(--vwfull));
}
.component-aircontrol-header-short
  .anpis-mv-adjustment
  .component-aircontrol-header__logo {
  max-width: calc(19.8 * var(--vwfull));
}
.component-aircontrol-header-short
  .anpis-mv-adjustment
  .component-aircontrol-header__heading {
  display: block;
  line-height: 1.2;
  font-size: calc(5.8 * var(--vwfull));
}

@media screen and (max-width: 768px) {
  .adjustment-small-text {
    display: block;
  }
  .component-aircontrol-header-short .anpis-mv-adjustment {
    height: calc(38.1 * var(--vwfull));
  }
  .component-aircontrol-header__heading.adjustment .adjustment_inner {
    color: inherit !important;
  }
  .component-aircontrol-header-short
    .anpis-mv-adjustment
    .component-aircontrol-header__heading {
    font-size: 3.06rem;
  }
  .component-aircontrol-header-short
    .anpis-mv-adjustment
    .component-aircontrol-header__bubble {
    top: 14rem;
    right: 0rem;
  }
}

/*260306サービス紹介CTA・サービス資料CTAへの会社名含有*/
.bnrlayout {
  position: relative;
}
.bnrlayout:before {
  content: "関西電力";
  position: absolute;
  font-size: 20px;
  font-weight: 700;
  top: -16px;
  left: 90px;
  background: #e50012;
  padding: 0px 30px 1px 32px;
  border-radius: 46px;
  color: #fff;
  line-height: 1.7em;
}
@media screen and (max-width: 768px) {
  .bnrlayout:before {
    left: 50%;
    transform: translateX(-50%);
  }
}
.component-detail-column {
  overflow: unset !important;
}
/* .component-detail-column a {
    overflow: unset;
} */
.component-detail-column__image {
  position: relative;
  overflow: unset !important;
}
/* .component-detail-column__heading {
  position: relative;
  overflow: unset;
} */
.component-detail-column__image:before {
  content: "関西電力";
  position: absolute;
  font-size: 17px;
  font-weight: 700;
  top: -16px;
  left: 18px;
  background: #e50012;
  padding: 0px 30px 0 32px;
  border-radius: 46px;
  color: #fff;
  line-height: 1.7em;
}
/* .component-detail-column__heading:before {
  content: "関西電力";
  position: absolute;
  font-size: 17px;
  font-weight: 700;
  top: -34px;
  left: 0;
  background: #e50012;
  padding: 0px 30px 0 32px;
  border-radius: 46px;
  color: #fff;
  line-height: 1.7em;
} */
@media screen and (max-width: 768px) {
  .component-detail-column__image:before {
    left: 50%;
    transform: translateX(-50%);
  }
}
.component-aircontrol-service.component-taiyoko-service-box__text,
.component-taiyoko-service-box__text {
  display: block !important;
}
.fuki2position span:before {
  content: "";
  display: inline-block;
  background-image: url(../../../../../-/media/SolKepco/assets/img/taiyoko/img_fukidashi2m.png);
  background-size: contain;
  background-repeat: no-repeat;
  width: 104px;
  height: 104px;
  position: absolute;
  right: -110px;
  top: -50px;
}
@media screen and (max-width: 768px) {
  .fuki2position span:before {
    width: 60px;
    height: 60px;
    right: 0;
    top: -30px;
  }
}
/*//260306サービス紹介CTA・サービス資料CTAへの会社名含有*/

.component-aircontrol-header__label--aircontrol {
  width: calc(52 * var(--vwfull));
  padding: calc(0.8 * var(--vwfull)) calc(3.3 * var(--vwfull))
    calc(1.2 * var(--vwfull)) calc(3.3 * var(--vwfull));
  top: -5px;
}
@media screen and (max-width: 768px) {
  .component-aircontrol-header__label--aircontrol {
    width: calc(34 * var(--vwfull));
  }
  .component-aircontrol-header__label.component-aircontrol-header__label--aircontrol {
    top: 28px;
  }
}
.component-aircontrol-about {
  display: flex;
  gap: 3.5rem;
  justify-content: space-between;
  margin-top: 3rem;
}

.component-aircontrol-about-item__item {
}
.component-datsutanso__note-subheading--h3 {
  font-weight: 700;
  font-size: 3rem;
  letter-spacing: 0.05em;
  text-align: left;
  margin-top: 4rem;
  line-height: 1.5em;
}
@media screen and (max-width: 768px) {
  .component-datsutanso__note-subheading--h3 {
    font-size: 1.82rem;
    line-height: 1.4;
  }
}
.component-aircontrol-about-text {
  font-size: 1.6rem;
  line-height: 1.8em;

  text-align: left;
}
.component-aircontrol-about__image {
  width: calc(39 * var(--vwfull));
}
@media screen and (max-width: 768px) {
  .component-aircontrol-about {
    flex-direction: column;
    gap: 2rem;
  }
  .component-aircontrol-about__image {
    width: 100%;
  }
}

/*260319 コラム記事の関連キーワード、余白縦幅縮小調整、公開日横並び共通設定*/
.component-detail {
  padding-top: 0;
}
.component-detail__inner {
  padding-top: 20px;
}
.component-detail-header .component-detail-header-tag {
  display: none;
}
.component-detail-header__inner {
  border-bottom: none;
}
.component-detail-header__inner .component-detail-header__heading {
  display: inline;
}
.component-detail-header__inner .component-detail-header__date {
  float: right;
  /* text-align: right; */
  position: static;
  /* display: inline; */
}
.component-detail-header__inner + .component-detail-header__image {
  margin-top: 0;
}
/*//260319 コラム記事の関連キーワード、余白縦幅縮小調整、公開日横並び共通設定*/